<div class="mat-elevation-z4">
  <nav mat-tab-nav-bar mat-stretch-tabs>
    <a
      mat-tab-link
      [routerLink]="['score-development']"
      routerLinkActive
      #scoreDevelopment="routerLinkActive"
      [active]="scoreDevelopment.isActive"
    >
      <mat-icon class="tab-icon">score</mat-icon> Score Development
    </a>
    <ng-container *ngIf="hasReferenceSolution$ | async">
    <a
      mat-tab-link
      [routerLink]="['command-analysis']"
      routerLinkActive
      #commandAnalysis="routerLinkActive"
      [active]="commandAnalysis.isActive"
    >
      <mat-icon class="tab-icon">keyboard</mat-icon> Command Analysis
    </a>
    <a
      mat-tab-link
      [routerLink]="['command-timeline']"
      routerLinkActive
      #commandTimeline="routerLinkActive"
      [active]="commandTimeline.isActive"
    >
      <mat-icon class="tab-icon">timeline</mat-icon> Command Timeline
    </a>
    </ng-container>
  </nav>
  <div>
    <router-outlet></router-outlet>
  </div>
</div>
